Package org.opensaml.soap.wstrust

# Interface RequestType

All Superinterfaces:
  `WSTrustObject`, `XMLObject`, `XSURI`

All Known Implementing Classes:
  `RequestTypeImpl`

public interface RequestType extends XSURI, WSTrustObject
The wst:RequestType element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BATCH_CANCEL`
RequestType BatchCancel URI.
`static final String`
`BATCH_ISSUE`
RequestType BatchIssue URI.
`static final String`
`BATCH_RENEW`
RequestType BatchRenew URI.
`static final String`
`BATCH_VALIDATE`
RequestType BatchValidate URI.
`static final String`
`CANCEL`
RequestType Cancel URI.
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.
`static final String`
`ISSUE`
RequestType Issue URI.
`static final String`
`KET`
RequestType Key Exchange Token (KET) URI.
`static final String`
`RENEW`
RequestType Renew URI.
`static final String`
`STSCANCEL`
RequestType STSCancel URI.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`VALIDATE`
RequestType Validate URI.

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ISSUE

@Nonnull @NotEmpty static final String ISSUE
RequestType Issue URI.

See Also:
  - Constant Field Values

### RENEW

@Nonnull @NotEmpty static final String RENEW
RequestType Renew URI.

See Also:
  - Constant Field Values

### CANCEL

@Nonnull @NotEmpty static final String CANCEL
RequestType Cancel URI.

See Also:
  - Constant Field Values

### STSCANCEL

@Nonnull @NotEmpty static final String STSCANCEL
RequestType STSCancel URI.

See Also:
  - Constant Field Values

### VALIDATE

@Nonnull @NotEmpty static final String VALIDATE
RequestType Validate URI.

See Also:
  - Constant Field Values

### KET

@Nonnull @NotEmpty static final String KET
RequestType Key Exchange Token (KET) URI.

See Also:
  - Constant Field Values

### BATCH_ISSUE

@Nonnull @NotEmpty static final String BATCH_ISSUE
RequestType BatchIssue URI.

See Also:
  - Constant Field Values

### BATCH_RENEW

@Nonnull @NotEmpty static final String BATCH_RENEW
RequestType BatchRenew URI.

See Also:
  - Constant Field Values

### BATCH_CANCEL

@Nonnull @NotEmpty static final String BATCH_CANCEL
RequestType BatchCancel URI.

See Also:
  - Constant Field Values

### BATCH_VALIDATE

@Nonnull @NotEmpty static final String BATCH_VALIDATE
RequestType BatchValidate URI.

See Also:
  - Constant Field Values